From: "Eric Joldasov" <bratishkaerik@getgoogleoff.me>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-zig/zls/
Date: Tue, 7 Mar 2023 08:43:39 +0000 (UTC) [thread overview]
Message-ID: <1678178611.a2b58e6e72311d39f49141d8a389fc66d8db67e0.bratishkaerik@gentoo> (raw)
commit: a2b58e6e72311d39f49141d8a389fc66d8db67e0
Author: Eric Joldasov <bratishkaerik <AT> getgoogleoff <DOT> me>
AuthorDate: Tue Mar 7 08:42:46 2023 +0000
Commit: Eric Joldasov <bratishkaerik <AT> getgoogleoff <DOT> me>
CommitDate: Tue Mar 7 08:43:31 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a2b58e6e
dev-zig/zls: fix for 9999
Signed-off-by: Eric Joldasov <bratishkaerik <AT> getgoogleoff.me>
dev-zig/zls/zls-9999.ebuild | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/dev-zig/zls/zls-9999.ebuild b/dev-zig/zls/zls-9999.ebuild
index b61f8139d..267e3221a 100644
--- a/dev-zig/zls/zls-9999.ebuild
+++ b/dev-zig/zls/zls-9999.ebuild
@@ -20,6 +20,13 @@ RDEPEND="${DEPEND}"
# For now, Zig Build System doesn't support CFLAGS/LDFLAGS/etc.
QA_FLAGS_IGNORED="usr/bin/zls"
+src_unpack() {
+ git-r3_src_unpack
+ cd "${S}" || die
+ # "zig build" doesn't have "fetch" subcommand yet
+ zig build --help || die "Fetching Zig modules failed"
+}
+
src_compile() {
zig build -Doptimize=ReleaseSafe -Ddata_version=master --verbose || die
}
next reply other threads:[~2023-03-07 8:43 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-07 8:43 Eric Joldasov [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-07 14:50 [gentoo-commits] repo/proj/guru:dev commit in: dev-zig/zls/ Eric Joldasov
2024-12-27 19:21 Eric Joldasov
2024-12-17 20:59 Eric Joldasov
2024-12-15 12:20 Eric Joldasov
2024-12-15 12:20 Eric Joldasov
2024-08-24 11:16 Eric Joldasov
2024-08-09 17:04 Eric Joldasov
2024-08-07 10:16 Eric Joldasov
2024-08-07 10:15 Eric Joldasov
2024-08-07 9:17 Eric Joldasov
2024-08-07 9:09 Eric Joldasov
2024-08-01 6:25 Eric Joldasov
2024-07-31 19:33 Eric Joldasov
2024-07-31 19:09 Eric Joldasov
2023-10-10 2:48 Eric Joldasov
2023-08-26 17:01 Eric Joldasov
2023-03-09 14:14 Eric Joldasov
2023-03-09 14:14 Eric Joldasov
2023-02-05 11:56 Eric Joldasov
2022-11-04 17:22 Eric Joldasov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1678178611.a2b58e6e72311d39f49141d8a389fc66d8db67e0.bratishkaerik@gentoo \
--to=bratishkaerik@getgoogleoff.me \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox